mrme95

build gradle

3 ارسال در این موضوع قرار دارد

با عرض سلام خدمت تمامی اساتید ارجمند.

بنده تازه وارد زمینه برنامه نویسی اندروید شدم.و از android studio استفاده میکنم.

الان مشکلی که وجود داره برای من این است که در اندورید که مثلا وقتی یک navigation drawer 

activity برای شروع پروژه در اندروید استادیو استفاده میکنم gradle نموتونه junit:junit:4.12 رو resolve کنه.

دوستان اگه نظری یا پیشنهادی دارن بگن.

android studio version: 2.1.2

gradle version:2.10

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

سلام دوست عزیز این سوال چندید بار جواب داده شده توی انجمن . ولی باز اینجا میگیم :

داخل فایل biuld.gradle برنامه اگه بازش کنید دو خط میبینید که به این شکل هست : jcentral هارو تغییر بده به mavenCentral تا مشکل حل بشه.


[align=left]

 

buildscript {
   repositories {
       mavenCentral()
   }
   dependencies {
       classpath 'com.android.tools.build:gradle:2.0.0'

       // NOTE: Do not place your application dependencies here; they belong
       // in the individual module build.gradle files
   }
}

allprojects {
   repositories {
       mavenCentral()
   }
}

task clean(type: Delete) {
   delete rootProject.buildDir
}



[/align]


یا علی.

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

با عرض تشکر فراوان خدمت دوست عزیز samirsamiri

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

برای ارسال نظر یک حساب کاربری ایجاد کنید یا وارد حساب خود شوید

برای اینکه بتوانید نظر ارسال کنید نیاز دارید که کاربر سایت شوید

ایجاد یک حساب کاربری

برای حساب کاربری جدید در انجمن ما ثبت نام کنید. عضویت خیلی ساده است !


ثبت نام یک حساب کاربری جدید

ورود به حساب کاربری

دارای حساب کاربری هستید؟ از اینجا وارد شوید


ورود به حساب کاربری